/*
 * @(#)NamespaceScoped.java	1.3 98/11/18
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

package com.sun.xml.tree;

import org.w3c.dom.Node;


/**
 * This interface is supported by elements and attributes whose names
 * are scoped according to the XML Namespaces specification.
 *
 * @version 1.3
 * @author David Brownell
 */
public interface NamespaceScoped extends Node
{
    /**
     * Returns the "local part" of the object's scoped name, without
     * any namespace prefix.
     */
    public String	getLocalName ();

    /**
     * Return the XML namespace name (a URI) associated with this object,
     * or null for the case of the default document namespace.  This is
     * computed from this node and its ancestors.
     *
     * @exception IllegalStateException Thrown when the namespace
     *	prefix for this element is not known.
     */
    public String	getNamespace ();
}
